clang 10.0.0git

Public Member Functions | Public Attributes | List of all members
clang::ObjCDictionaryElement Struct Reference

An element in an Objective-C dictionary literal. More...

`#include "clang/AST/ExprObjC.h"`

Collaboration diagram for clang::ObjCDictionaryElement:
[legend]

## Public Member Functions
bool | isPackExpansion () const
| Determines whether this dictionary element is a pack expansion. More...

## Public Attributes
Expr * | Key
| The key for the dictionary element. More...
Expr * | Value
| The value of the dictionary element. More...
SourceLocation | EllipsisLoc
| The location of the ellipsis, if this is a pack expansion. More...
Optional< unsigned > | NumExpansions
| The number of elements this pack expansion will expand to, if this is a pack expansion and is known. More...

## Detailed Description

An element in an Objective-C dictionary literal.

Definition at line 261 of file ExprObjC.h.

## Member Function Documentation

## ◆ isPackExpansion()

bool clang::ObjCDictionaryElement::isPackExpansion | ( |  | ) | const
| inline

Determines whether this dictionary element is a pack expansion.

Definition at line 276 of file ExprObjC.h.

References clang::SourceLocation::isValid().

Referenced by getExpressionTraitName().

## Member Data Documentation

## ◆ EllipsisLoc

SourceLocation clang::ObjCDictionaryElement::EllipsisLoc

The location of the ellipsis, if this is a pack expansion.

Definition at line 269 of file ExprObjC.h.

## ◆ Key

Expr* clang::ObjCDictionaryElement::Key

The key for the dictionary element.

Definition at line 263 of file ExprObjC.h.

Referenced by getExpressionTraitName().

## ◆ NumExpansions

Optional<unsigned> clang::ObjCDictionaryElement::NumExpansions

The number of elements this pack expansion will expand to, if this is a pack expansion and is known.

Definition at line 273 of file ExprObjC.h.

## ◆ Value

Expr* clang::ObjCDictionaryElement::Value

The value of the dictionary element.

Definition at line 266 of file ExprObjC.h.

Referenced by getExpressionTraitName().

The documentation for this struct was generated from the following file:

- include/clang/AST/ExprObjC.h